Bug 7529 - "unsupported source language" updated when linking a single object file
"unsupported source language" updated when linking a single object file
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.0
All All
: P3 normal
: 3.0.1
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 10:30 UTC by Joel Rosdahl
Modified: 2011-04-21 20:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Rosdahl 2010-06-21 10:30:31 UTC
ccache 3.0 updates the "unsupported source language" counter instead of the expected "called for link" counter when called for link with a single object file like this:

ccache compiler test.o -o test
Comment 1 Joel Rosdahl 2010-06-24 14:02:59 UTC
Fixed in b8982f4b885dcb769720f90339238a1a2c083d1a.